[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.AppInit

Initializes the application for the platform, and returns Screen information.

## Declaration

Source position: interfacebase.pp line 135

`public procedure TWidgetSet.AppInit(`
`var ScreenInfo: TScreenInfo`
`); virtual; abstract;`

## Arguments

`ScreenInfo` |  | TScreenInfo instance with the PPI (Pixels per Inch) and color depth for the platform.

## Description

Called by Application.Initialize. Don't call this directly, the LCL will use it when adequate.